Package org.gradle.plugins.ide.eclipse.model

# Class Container

java.lang.Object
org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry
org.gradle.plugins.ide.eclipse.model.Container

All Implemented Interfaces:
  `ClasspathEntry`

public class Container extends AbstractClasspathEntry
A container classpath entry.

- ## Field Summary

  ### Fields inherited from class org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry

  `accessRules, COMPONENT_DEPENDENCY_ATTRIBUTE, COMPONENT_NON_DEPENDENCY_ATTRIBUTE, entryAttributes, exported, path`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Container(Node node)`
  `Container(String path)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getKind()`
  `String`
  `toString()`

  ### Methods inherited from class org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry

  `addClasspathEntry, appendNode, equals, getAccessRules, getEntryAttributes, getNativeLibraryLocation, getPath, hashCode, isExported, normalizePath, setAccessRules, setExported, setNativeLibraryLocation, setPath, writeEntryAttributes`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Container

    public Container(Node node)

  - ### Container

    public Container(String path)

- ## Method Details

  - ### getKind

    public String getKind()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `AbstractClasspathEntry`